	title  PC Dumb Terminal

;	link with screen
stack	segment para stack
	db	64 dup(?)
stack	ends

extrn	clrscn:near,chrout:near,quit:near
code	segment public
	assume cs:code

term	proc far
	call	clrscn		;clear screen
	mov	dx,0		;1200 baud
	mov	ax,0083h	;no parity
	int	14h		;1 stop/8 bits
key:	mov	ah,1		;if key not
	int	16h		; pressed,
	je 	recv		; goto recv
	mov	ah,0
	int	16h		;read key
	cmp	al,1bh		;if esc key
	je	done		;goto DOS
	mov	ah,1		;al=ascii code
	int	14h		;send character
recv:	mov	ah,3
	int	14h		;read status 
	shr	ah,1		;if no char
	jnb	key		;check keyboard
	mov	ah,2		;otherwise,
	int	14h		;read character
	and	al,7fh		;clear parity bit
	mov	bl,7		;normal video
	call	chrout		;display char
	jmp	key		;repeat again
done:	call	quit		;goto DOS
term	endp

code	ends
	end	term

