	title  plot line subroutine
	public	line
code	segment public
	assume	cs:code

;	plot line
line	proc near
	push	ax			;save registers
	push	bx
	push	cx
	push	dx
	push	si
	push	di
	push	bp
	push	ax			;make space for yflg
	mov	bp,sp			;bp=initial sp
	mov	byte ptr 1[bp],0	;yflg=0
	cmp	cx,ax			;if orig.x1>orig.x2
	jb	la			;then interchange
	xchg	cx,ax			;orig and endp
	xchg	dx,bx
la:	cmp	bx,dx			;if bx<dx then set
	ja	lb			; yflg=80h
	mov	byte ptr 1[bp],80h
lb:	push	ax			;push endp:x
	push 	bx			;push endp:y
	push	ax			;push endp:x
	push	bx			;push endp:y
ln1:	mov	si,cx			;compute midp.x
	add	si,ax
	shr	si,1			;si=(x1+x2)/2
	mov	di,dx			;compute midp.y
	add	di,bx
	shr	di,1			;di=(y1+y2)/2
	jnb	ln2			;if carry set
	cmp	byte ptr 1[bp],0
	je	ln2			;then if yflg set
	inc	di			;round midp.y
ln2:	cmp	si,cx			;if midp=orig
	jne	ln3
	cmp	di,dx
	jne	ln3			;then
	call	plot			;plot orig
	pop	dx			;pop orig.y
	pop	cx			;        .x
	pop	bx			;pop endp.y
	pop	ax			;        .x
	jmp	ln4
ln3:	push	ax			;push endp.x
	push	bx			;         .y
	push	si			;push midp.x
	push	di			;         .y
	mov	ax,si
	mov	bx,di
ln4:	cmp	bp,sp
	jne	ln1
	call	plot			;plot orig
ln5:	pop	ax			;restore yflg
	pop	bp			;restore regs
	pop	di
	pop	si
	pop	dx
	pop	cx
	pop	bx
	pop	ax
	ret
line	endp

;	plot point at x=dx, y=cx
plot	proc near
	push	ax
	mov	ax,0c03h  		;color=white
	int	10h			;write dot
	pop	ax
	ret
plot	endp
code	ends
	end
