	title  Two's complement of a double word
;	Example of passing parameters on the stack
stack	segment	para	stack
	db	64 dup(?)
stack	ends

data	segment
dnum	dd	12345678h
negnum	dd	?
data	ends


code	segment public
	assume	cs:code,ds:data 

main	proc	far
	mov	ax,data
	mov	ds,ax		   ;set ds=data
	mov	ax,word ptr dnum   ;ax=low word
	mov	dx,word ptr dnum+2 ;dx=high word
	push	dx		   ;push high word
	push	ax		   ;push low word
	call	dneg2		   ;2's compl
	mov	word ptr negnum,ax ;store lo word
	mov	word ptr negnum+2,dx ;store hi word
	int	3
main	endp

;	negate double word passed on stack
dneg2	proc	near
	push	bp		;save bp
	mov	bp,sp		;index with bp
	push	bx		;save regs
	push	cx
	mov	bx,6[bp]	;bx=hi word
	mov	cx,4[bp]	;cx=lo word
	xor	ax,ax		;ax=0
	mov	dx,ax		;dx=0
	sub	ax,cx		;dx:ax =
	sbb	dx,bx		; 0:0 - bx:cx
	pop	cx		;restore regs
	pop	bx
	pop	bp		;resore bp
	ret	4		;fix stack
dneg2	endp

code	ends
	end	main
